%define name smartmontools
%define version 5.37
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	SMARTmontools - for monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source2:	smartd.conf
Source3:	%{name}.bash-completion.bz2
Source4:	readme.urpmi.%{name}
Patch0:		smartmontools-5.33-lsb.patch
Patch1:		smartmontools-hsm.patch
Patch2:		smartmontools-strange_buffer.patch
Obsoletes:	smartsuite
Provides:	smartsuite
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contains two utilities.  The first, smartctl, is a command-line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 and ATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

%prep
%setup -q
bzcat %{SOURCE3} > %{name}.bash-completion
%patch0 -p1 -b .lsb
%patch1 -p0 -b .hsm
%patch2 -p0 -b .buff

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install %{SOURCE2} $RPM_BUILD_ROOT/etc/
install %{SOURCE4} $RPM_BUILD_ROOT/%_docdir/%name-%version/README.urpmi

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service smartd

%preun
%_preun_service smartd


%files
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/smartd.conf
%{_sysconfdir}/bash_completion.d/%{name}
%{_initrddir}/smartd
%{_sbindir}/*
%{_mandir}/man?/*
%{_docdir}/%{name}-%{version}




%changelog
* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 5.37-2mdv2008.0
+ Revision: 69152
- Preventing some some HSM violation  on sata_nv


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 5.37-1mdv2007.0
+ Revision: 109094
- .asc file no more exists
- 5.37
- Import smartmontools

* Wed Apr 19 2006 Erwan Velu <erwan@mandriva.com> 5.36-1mdk
- 5.36

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 5.33-6mdk
- drop parallel-init patch (Patch0)
- Patch0: use standard LSB tags instead of X-UnitedLinux tags
- fix incorrect Requires(X)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 5.33-5mdk
- Add parallel init stuff

* Wed Oct 05 2005 Erwan Velu <velu@seanodes.com> 5.33-4mdk
- Adding README.urpmi
- Adding mail example in config file

* Fri Jul 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.33-3mdk 
- bash completion

* Tue Jun 14 2005 Erwan Velu <velu@seanodes.com> 5.33-2mdk
- Fixing stupid errors

* Fri Oct 29 2004 Erwan Velu <erwan@mandrakesoft.com> 5.33-1mdk
- 5.33

* Tue Aug 17 2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-2mdk
- Using a better default configuration file

* Tue Jul 13 2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-1mdk
- 5.32

* Thu Jun 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.31-2mdk
- Fix spelling errors in description

* Mon May 17 2004 Abel Cheung <deaddog@deaddog.org> 5.31-1mdk
- New version
- Use tar.gz for source verification

* Tue Mar 09 2004 Erwan Velu <erwan@mandrakesoft.com> 5.30-1mdk
- New release

* Thu Feb 19 2004 Erwan Velu <erwan@mandrakesoft.com> 5.27-1mdk
- New Release

